Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Interface X509ObjectIdentifiers

All Known Implementing Classes:
  TBSCertificateStructure, X509CertificateStructure

public interface X509ObjectIdentifiers

Field Summary
`static DERObjectIdentifier` | `commonName`
`static DERObjectIdentifier` | `countryName`
`static java.lang.String` | `id`
`static DERObjectIdentifier` | `id_ea_rsa`
`static DERObjectIdentifier` | `id_SHA1`
`static DERObjectIdentifier` | `localityName`
`static DERObjectIdentifier` | `ocspAccessMethod`
`static DERObjectIdentifier` | `organization`
`static DERObjectIdentifier` | `organizationalUnitName`
`static DERObjectIdentifier` | `ripemd160`
`static DERObjectIdentifier` | `ripemd160WithRSAEncryption`
`static DERObjectIdentifier` | `stateOrProvinceName`

Field Detail

### id

    public static final java.lang.String id

### commonName

    public static final DERObjectIdentifier commonName

### countryName

    public static final DERObjectIdentifier countryName

### localityName

    public static final DERObjectIdentifier localityName

### stateOrProvinceName

    public static final DERObjectIdentifier stateOrProvinceName

### organization

    public static final DERObjectIdentifier organization

### organizationalUnitName

    public static final DERObjectIdentifier organizationalUnitName

### id_SHA1

    public static final DERObjectIdentifier id_SHA1

### ripemd160

    public static final DERObjectIdentifier ripemd160

### ripemd160WithRSAEncryption

    public static final DERObjectIdentifier ripemd160WithRSAEncryption

### id_ea_rsa

    public static final DERObjectIdentifier id_ea_rsa

### ocspAccessMethod

    public static final DERObjectIdentifier ocspAccessMethod

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD